---
title: ContentIndexEvent()
slug: Web/API/ContentIndexEvent/ContentIndexEvent
tags:
  - Constructor
  - Content
  - Content Index API
  - Index
  - PWA
  - content index
  - content indexing
  - events
---
<div>{{draft}}{{DefaultAPISidebar("Content Index API")}}</div>

<p class="summary">The <strong><code>ContentIndexEvent()</code></strong> constructor creates a new {{domxref("ContentIndexEvent")}} object whose type and other options are configured as specified.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>ContentIndexEvent</var> = new ContentIndexEvent(<em>type</em>, <em>ContentIndexEventInit</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><em>type</em></dt>
 <dd>A {{domxref("DOMString")}} indicating the event which occurred. For <code>ContentIndexEvent</code>, this is always <code>delete</code>.</dd>
 <dt><em>eventInitDict</em> {{optional_inline}}</dt>
 <dd>An options object containing any initialization data you want to populate the <code>ContentIndexEvent</code> object with. The options are:
 <ul>
  <li><code>id</code>: The id of the indexed content you want the <code>ContentIndexEvent</code> to remove.</li>
 </ul>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref("ContentIndexEvent")}} object configured using the given inputs.</p>

<h2 id="Examples">Examples</h2>

<p>This examples constructs a new {{domxref('ContentIndexEvent')}} with the relevant id.</p>

<pre class="brush: js notranslate">var removeData = {
  id : 'unique-content-id'
}

var ciEvent = new ContentIndexEvent('contentdelete', removeData);

ciEvent.id; // should return 'unique-content-id'
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Content Index API','#content-index-event','ContentIndexEvent')}}</td>
   <td>{{Spec2('Content Index API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.ContentIndexEvent.ContentIndexEvent")}}</p>

<h2 id="See_also">See also:</h2>

<ul>
 <li><a href="https://web.dev/content-indexing-api/">An introductory article on the Content Index API</a></li>
 <li><a href="https://contentindex.dev/">An app which uses the Content Index API to list and remove 'save for later' content</a></li>
 <li><a href="/en-US/docs/Web/API/Service_Worker_API">Service Worker API, along with information about Cache and CacheStorage</a></li>
</ul>
